**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/23.3/vault-objects/update-corporate-currency-fields.md

# Update Corporate Currency Fields



Currency is a field type available on all Vault objects. Whenever a user populates a local currency field value, Vault automatically populates the related corporate currency field value, except in the following scenarios:

* Admins change the Corporate Currency setting for the vault

* Admins update the Rate setting for the local currency used by a record

This endpoint updates the `field_corp__sys` field values of an object record based on the Rate of the currency, denoted by the `local_currency__sys` field of the specified record. Learn more about [Currency Fields](https://platform.veevavault.help/en/lr/50532) in Vault Help.

<Endpoint path="/api/{version}/vobjects/{object_name}/actions/updatecorporatecurrency" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value, for example, `product__v`. |
</FieldTable>

## Body Parameters {#body-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d "id=00P000000000301" \
https://myvault.veevavault.com/api/v18.3/vobjects/product__v/actions/updatecorporatecurrency

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "job_id": 81603,
    "url": "/api/v18.3/services/jobs/81603"
}

```
</CodeExample>

---

**Previous:** [Retrieve Limits on Objects](/quality/vault-api/api-reference/23.3/vault-objects/retrieve-limits-on-objects)  
**Next:** [Document Roles](/quality/vault-api/api-reference/23.3/document-roles)